%define         _state          stable
%define         orgname         perlqt
%define         qtver           4.8.0

# Conditional build:
%bcond_with	tests		# do not perform "make test"

%define	pdir	PerlQt
%include	/usr/lib/rpm/macros.perl
Summary:	Qt4 - A Perl module interface to Qt4
Summary(pl.UTF-8):	Qt4 - interfejs Perla do Qt4
Name:		perl-Qt4
Version:	4.14.3
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	d410c5b95680d1c56d037d22ef984479
URL:		http://www.kde.org/
BuildRequires:	QtXmlPatterns-devel
BuildRequires:	kde4-smokeqt-devel >= %{version}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl		Qt::_internal

%description
This module provides bindings to the Qt 4 libraries for Perl.

%description -l pl.UTF-8
Moduł dostarcza dowiązania do Qt 4 dla Perla.

%package devel
Summary:	Header file for  perl Qt 4
Summary(pl.UTF-8):	Plik nagłówkowe perl Qt 4
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for perl Qt 4.

%description devel -l pl.UTF-8
Plik nagłówkoww perl Qt 4.

%define		_noautoreq	'perl(Qt::_internal)'
# which package provides this?

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCUSTOM_PERL_SITE_ARCH_DIR=%{perl_vendorarch} \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	kde_htmldir=%{_kdedocdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/prcc4_bin
%attr(755,root,root) %{_bindir}/puic4
%attr(755,root,root) %{_bindir}/qdbusxml2perl
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/QtCore4
%{perl_vendorarch}/QtCore4/*.pm
%dir %{perl_vendorarch}/auto
%dir %{perl_vendorarch}/auto/*
%attr(755,root,root) %{perl_vendorarch}/auto/*/*.so
%dir %{_datadir}/perlqt
%attr(755,root,root) %{_datadir}/perlqt/doxsubpp.pl

%files devel
%defattr(644,root,root,755)
%{_includedir}/perlqt
%{_datadir}/perlqt/cmake
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Qt4.git;a=log;h=master

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 14db5c3
- 4.14.3

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> b02728a
- BR QtXmlPatterns-devel

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 494e4d6
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0d2ee70
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6f56fde
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 946db56
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8f01262
- updated to 4.13.1 (by update-kde4.sh)

* Mon May 12 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 04c2f92
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> fee867f
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ba68c80
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2f7624a
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 16d257a
- updated to 4.12.1 (by update-kde4.sh)

* Fri Dec 27 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 59191a7
- up to 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 96c1de1
- updated to 4.10.4 (by update-kde4.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 27a8abc
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 48fb877
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 751d5f3
- filter out internal deps
- rel 2

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 14fb7d3
- updated to 4.9.4

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> b7ce129
- xz source deps

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> c289a41
- Updated to 4.9.0

